Bug 1072041 - Include a -devel that provides the docker source
Summary: Include a -devel that provides the docker source
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: docker-io
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-03 18:20 UTC by Vincent Batts
Modified: 2014-07-01 23:00 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-17 18:36:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Vincent Batts 2014-03-03 18:20:01 UTC
For client tooling, that uses internal packages of docker, the docker source needs to available as a library.

Comment 1 Lokesh Mandvekar 2014-05-27 13:24:02 UTC
would it be better to use upstream tarball + whatever patches fedora needs or just the upstream tarball for the -devel package? Comments?

Comment 2 Daniel Walsh 2014-05-27 14:10:15 UTC
Wouldn't this just be an expoded git repository with all of the patches used to build our shipping version of docker.

This is fairly unusual in that we would usually tell people to just use the src-rpm.

Comment 3 Daniel Walsh 2014-06-17 18:36:42 UTC
I think the src rpm should be enough for now.


Note You need to log in before you can comment on or make changes to this bug.